Summary:	An Othello/Reversi chess with strong AI
Name:		grhino
Version:	0.16.1
Release:	%mkrel 11
License:	GPLv2+
Group:		Games/Boards
URL:		http://rhino.sourceforge.net/
Source:		https://downloads.sourceforge.net/rhino/%{name}-%{version}.tar.gz
Patch0:		grhino-0.16.0-gcc43.patch
Patch1:		grhino-0.16.0-mdv-fix-str-fmt.patch
BuildRequires:	pkgconfig(libgnomeui-2.0)

%description
GRhino, or Rhino its former name, is an Othello/Reversi game on Linux
and other UNIX-like systems. What distinguish GRhino from most other
Othello games is that GRhino will be targeted for experienced Othello
players. Strong AI is the main focus and the ultimate target strength
of the AI is that it should be able to beat the best human player at
the highest difficulty level.

%prep
%setup -q
%patch0 -p0
%patch1 -p1 -b .strfmt

%build
%configure --bindir=%{_gamesbindir}
%make_build

%install
%make_install

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%{_gamesbindir}/%{name}
Icon=%name
Comment=Othello/Reversi chess with strong AI
Categories=BoardGame;Game;GTK;GNOME;
Name=GRhino
EOF

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%doc README
%{_gamesbindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}-%{version}
%{_datadir}/pixmaps/*.png
%{_datadir}/omf/*


%changelog
* Wed Apr 06 2022 umeabot <umeabot> 0.16.1-11.mga9
+ Revision: 1845797
- Mageia 9 Mass Rebuild

* Tue Jun 30 2020 joequant <joequant> 0.16.1-10.mga8
+ Revision: 1600703
- bump
- remove arm patch

* Thu Feb 13 2020 umeabot <umeabot> 0.16.1-9.mga8
+ Revision: 1512702
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.16.1-8.mga7
+ Revision: 1298074
- Mageia 7 Mass Rebuild

* Wed Jun 20 2018 wally <wally> 0.16.1-7.mga7
+ Revision: 1238436
- fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Tue Feb 02 2016 umeabot <umeabot> 0.16.1-6.mga6
+ Revision: 931719
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.16.1-5.mga5
+ Revision: 747744
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.16.1-4.mga5
+ Revision: 679938
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.16.1-3.mga4
+ Revision: 505237
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.16.1-2.mga3
+ Revision: 352613
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 04 2012 malo <malo> 0.16.1-1.mga2
+ Revision: 217739
- fix desktop file
- spec clean-up and update to 0.16.1 after import from Mandriva
- imported package grhino


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.16.0-6mdv2011.0
+ Revision: 610984
- rebuild

* Wed Dec 16 2009 Jérôme Brenier <incubusss@mandriva.org> 0.16.0-5mdv2010.1
+ Revision: 479152
- fix build with gcc 4.3 (patch from Gentoo)
- fix str fmt

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Feb 08 2008 Funda Wang <fwang@mandriva.org> 0.16.0-1mdv2008.1
+ Revision: 164046
- drop old patch
- New version 0.16.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 0.15.0-1mdv2008.1
+ Revision: 131698
- auto-convert XDG menu entry
- kill re-definition of %%buildroot on Pixel's request
- import grhino


* Sat Jun 18 2005 Abel Cheung <deaddog@mandriva.org> 0.15.0-1mdk
- New release 0.15.0
- Supports GTP now (since 0.14)

* Sun Mar 27 2005 Abel Cheung <deaddog@mandrake.org> 0.13.0-1mdk
- New release 0.13.0
- Redo P0

* Mon Nov 29 2004 Abel Cheung <deaddog@mandrake.org> 0.12.0-2mdk
- Likely Rafael and me submitted same package at same time, so
  rebuild and pray for everything to automatically clean up themselves
  (Rafael, if you really did submit grhino, can you add your changes here?)

* Mon Nov 22 2004 Abel Cheung <deaddog@mandrake.org> 0.12.0-1mdk
- First Mandrake package
